/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/

#ifndef _SCTS_DEVMAN_TESTSERVER_H
#define _SCTS_DEVMAN_TESTSERVER_H

#include "SctsDevManTestEngine.h"
#ifdef __SCTS_USING_SCTS__

/* Test group 1S */
class SctsDMTestCase101S : public SctsDMTestCase
{
	int GetID() {return 101;}
	void StateInitiatePreBuild(); 
	void StateInitiatePostBuild();
	void StateInitiatePostProcess();
};

/* Test group 2S */
class SctsDMTestCase201S : public SctsDMTestCase
{
	int GetID() {return 201;}
	void StateInitiatePreBuild();
	void StateInitiatePostProcess();
};

class SctsDMTestCase202S : public SctsDMTestCase
{
	int GetID() {return 202;}
	void StateInitiatePostProcess();
};
	
class SctsDMTestCase203S : public SctsDMTestCase
{
	int GetID() {return 203;}
	void StateTerminate();
};

class SctsDMTestCase204S : public SctsDMTestCase
{
	int GetID() {return 204;}
	void StateTerminate();
};

/* Test group 3S */
class SctsDMTestCase301S : public SctsDMTestCase
{
	int GetID() {return 301;}
	void StateTerminate();
};

/* Test group 4S */
class SctsDMTestCase401S : public SctsDMTestCase
{
	int GetID() {return 401;}
	void StateInitiatePreBuild();
	void StateTerminate();
};

/* Test group 5S */
class SctsDMTestCase501S : public SctsDMTestCase
{
	int GetID() {return 501;}
	void StateInitiatePreBuild();
	void StateTerminate();
};

/* Test group 6S */
class SctsDMTestCase601S : public SctsDMTestCase
{
	int GetID() {return 601;}
	void StateInitiatePreBuild();
	void StateTerminate();
};

/* Test group 7S */
class SctsDMTestCase701S : public SctsDMTestCase
{
	int GetID() {return 701;}
	void StateInitiatePreBuild();
	void StateInitiatePostBuild();
	void StateTerminate();
};

/* Test group 8S */
class SctsDMTestCase801S : public SctsDMTestCase
{
	int GetID() {return 801;}
	void StateTerminate();
};

/* Test group 9S */
class SctsDMTestCase901S : public SctsDMTestCase
{
	int GetID() {return 901;}
	void StateTerminate();
};

/* Test group 10S */
class SctsDMTestCase1001S : public SctsDMTestCase
{
	int GetID() {return 1001;}
	void StateInitiatePreBuild();
	void StateTerminate();
};

class SctsDMTestCase1002S : public SctsDMTestCase
{
	int GetID() {return 1002;}
	void StateTerminate();
};

/* Test group 11S */
class SctsDMTestCase1101S : public SctsDMTestCase
{
	int GetID() {return 1101;}
	void StateInitiatePreBuild();
	void StateTerminate();
};

class SctsDMTestCase1102S : public SctsDMTestCase
{
	int GetID() {return 1102;}
	void StateTerminate();
};

/* Test group 12S */
class SctsDMTestCase1201S : public SctsDMTestCase
{
	int GetID() {return 1201;}
	void StateInitiatePostBuild();
	void StateTerminate();
};

/* Test group 13S */
class SctsDMTestCase1301S : public SctsDMTestCase
{
	int GetID() {return 1301;}
	void StateTerminate();
};

/* Test group 14S */
class SctsDMTestCase1401S : public SctsDMTestCase
{
	int GetID() {return 1401;}
	void StateTerminate();
};

/* Test group 15S */
class SctsDMTestCase1501S : public SctsDMTestCase
{
	int GetID() {return 1501;}
	void StateTerminate();
};

/* Test group 16S */
class SctsDMTestCase1601S : public SctsDMTestCase
{
	int GetID() {return 1601;}
	void StateTerminate();
};

/* Test group 17S */
class SctsDMTestCase1701S : public SctsDMTestCase
{
	int GetID() {return 1701;}
	void StateTerminate();
};

/* Test group 18S */
class SctsDMTestCase1801S : public SctsDMTestCase
{
	int GetID() {return 1801;}
	bool StatePreReq();
};

/* Test group 19S */
class SctsDMTestCase1901S : public SctsDMTestCase
{
	int GetID() {return 1901;}
	void StateInitiatePostBuild();
	void StateTerminate();
};

/* Test group 20S */
class SctsDMTestCase2001S : public SctsDMTestCase
{
	int GetID() {return 2001;}
	void StateTerminate();
};

#endif
#endif
